/*
* Copyright (c) 2008 Matt Giger http://earthbrowser.com/
*
* Permission is hereby granted, free of charge, to any person obtaining a
* copy of this software and associated documentation files (the "Software"),
* to deal in the Software without restriction, including without limitation
* the rights to use, copy, modify, merge, publish, distribute, sublicense,
* and/or sell copies of the Software, and to permit persons to whom the
* Software is furnished to do so, subject to the following conditions:
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABIL-
* ITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT
* SHALL THE AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
* WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
* IN THE SOFTWARE.
*/

/**
* SettingsCtl
*/
function SettingsCtl()
{
	var icon = new _plugin.Icon({url:c_icon_base+"settings_icon.png"});
	
	var container = new _plugin.VBox({
		vmargin:4, hmargin:8, vpad:4,
		backgroundAlpha:0,
		binding:BIND_ALL
	});
	
	
	var items = [];
	items.push(new settingsItem({id:"night_shadows", vid:"night", url:c_icon_base+"night_icon.png"}));
	items.push(new settingsItem({id:"city_lights", vid:"lights", url:c_icon_base+"lights_icon.png"}));
	items.push(new settingsItem({id:"stars", vid:"stars", url:c_icon_base+"stars_icon.png"}));
	items.push(new settingsItem({id:"grid", vid:"grid", url:c_icon_base+"grid_icon.png"}));
	items.push(new settingsItem({id:"show_time", vid:"showTime", url:c_icon_base+"show_time_icon.png"}));
	items.push(new settingsItem({id:"time_24hour", vid:"time24hr", url:c_icon_base+"24hour_icon.png"}));
	items.push(new settingsItem({id:"metric", vid:"metric", url:c_icon_base+"ruler.png"}));
	items.push(new settingsItem({id:"help_tips", vid:"helpTips", url:c_icon_base+"help_balloon.png"}));
	items.push(new showCoordsItem());
	
	for(var i=0;i<items.length;++i)
		container.addPane(items[i].icon);
		
		/*
	container.addPane(new settingsItem({id:"night_shadows", vid:"night", url:c_icon_base+"night_icon.png"}).icon);
	container.addPane(new settingsItem({id:"city_lights", vid:"lights", url:c_icon_base+"lights_icon.png"}).icon);
	container.addPane(new settingsItem({id:"stars", vid:"stars", url:c_icon_base+"stars_icon.png"}).icon);
	container.addPane(new settingsItem({id:"grid", vid:"grid", url:c_icon_base+"grid_icon.png"}).icon);
	container.addPane(new settingsItem({id:"show_time", vid:"showTime", url:c_icon_base+"show_time_icon.png"}).icon);
	container.addPane(new settingsItem({id:"time_24hour", vid:"time24hr", url:c_icon_base+"24hour_icon.png"}).icon);
	container.addPane(new settingsItem({id:"metric", vid:"metric", url:c_icon_base+"ruler.png"}).icon);
	container.addPane(new settingsItem({id:"help_tips", vid:"helpTips", url:c_icon_base+"help_balloon.png"}).icon);
	container.addPane(new showCoordsItem().icon);
	*/
	var panel = new _plugin.Scroller({
		backgroundAlpha:0.01, frameWidth:0, 
		vscroll:true, binding:BIND_ALL
	});
	panel.setCanvas(container);
	
	// check for language changes
	_plugin.addEventListener("onlanguagechange", function() {
		for(var i=0;i<items.length;++i)
			items[i].resetLang();
	});
	
	//
	return {
		id:'settings',
		controlIcon:icon,
		controlPanel:panel,
		helpTip:_language['settings']
	}
}

function settingsItem(itemdef)
{
	with(_plugin)
	{
		var panel = new Checkbox({id:itemdef.id, x:28, y:2, text:_language[itemdef.id], value:viewOptions[itemdef.vid]});
		var ico = panel.addPane(new Icon({url:itemdef.url}), 1);
		ico.addEventListener("onload", function() {
			ico.properties = {x:(28 - ico.width)/2, y:(28 - ico.height)/2}
		});

		panel.addEventListener("onupdate", function() {
			viewOptions[itemdef.vid] = _settings[itemdef.vid] = panel.value;
		});	
		
		viewOptions.addEventListener("onupdate", function() {
			panel.value = viewOptions[itemdef.vid];
		});
		
	}
	return {
		icon:panel,
		resetLang:function() { panel.text = _language[itemdef.id]; }
	};
}

function showCoordsItem()
{
	with(_plugin)
	{
		var panel = new Checkbox({id:'showCoords', x:28, y:2, text:_language['showCoords'], value:_coords.getVisible()});
		var ico = panel.addPane(new Icon({url:c_icon_base+"crosshair.png"}), 1);
		ico.addEventListener("onload", function() {
			ico.properties = {x:(28 - ico.width)/2, y:(28 - ico.height)/2};
		});

		panel.addEventListener("onupdate", function() {
			_coords.setVisible(panel.value);
		});
	}
	
	return {
		icon:panel,
		resetLang:function() { panel.text = _language['showCoords']; }
	};
}

// Bootstrap
EarthBrowser.addModule('SettingsControl', SettingsCtl);
