/*
* Copyright (c) 2008 Matt Giger http://earthbrowser.com/
*
* Permission is hereby granted, free of charge, to any person obtaining a
* copy of this software and associated documentation files (the "Software"),
* to deal in the Software without restriction, including without limitation
* the rights to use, copy, modify, merge, publish, distribute, sublicense,
* and/or sell copies of the Software, and to permit persons to whom the
* Software is furnished to do so, subject to the following conditions:
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABIL-
* ITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT
* SHALL THE AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
* WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
* IN THE SOFTWARE.
*/
		
function ZoomCtl()
{
	with(_plugin)
	{
		var panel = new Pane({
			binding:BIND_TOP|BIND_BOTTOM|BIND_RIGHT
		});
		
		// Add a Slider control
		var slider = panel.addPane(new Slider({
			invert:true, vertical:true,
			binding:BIND_TOP|BIND_BOTTOM|BIND_LEFT
		}));
		
		// Set the slider back
		var back = slider.setBack(new VBar({
			skin:"zoom_bar", height:10//,
//			binding:BIND_TOP|BIND_BOTTOM|BIND_LEFT
		}));
		
		// Set the Slider thumb
		var thumb = slider.setThumb(new Icon({ skin:"zoom_thumb" }));
		
		// Listen for the camera zoom to change the slider value
		camera.addEventListener("onzoom", function(e) { slider.value = camera.zoomLevel; });
		
		// listen for the slider value to change the zoom level
		slider.addEventListener("onslider", function(e) { camera.zoomLevel = slider.value; });
	}
	
	return {
		dockControl:panel,
		resetSlider:function() {
			slider.value = _plugin.camera.zoomLevel;
		}
	};
}

// Bootstrap
EarthBrowser.addModule('ZoomControl', ZoomCtl);
