/*
* Copyright (c) 2008 Matt Giger http://earthbrowser.com/
*
* Permission is hereby granted, free of charge, to any person obtaining a
* copy of this software and associated documentation files (the "Software"),
* to deal in the Software without restriction, including without limitation
* the rights to use, copy, modify, merge, publish, distribute, sublicense,
* and/or sell copies of the Software, and to permit persons to whom the
* Software is furnished to do so, subject to the following conditions:
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABIL-
* ITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT
* SHALL THE AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
* WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
* IN THE SOFTWARE.
*/

/**
* ESRI_ShadedRelief_World_2D
*/
function ESRI_ShadedRelief_World_2D()
{
	return _plugin.TemplateLayer({
			isBaseLayer:true,
			tileSize:512,
			numZoomLevels:9,
			startLevel:2,
			template:"http://server.arcgisonline.com/ArcGIS/rest/services/ESRI_ShadedRelief_World_2D/MapServer/tile/{Z}/{Y}/{X}.jpg"
		});
}

/**
* ESRI_StreetMap_World_2D
*/
function ESRI_StreetMap_World_2D()
{
	return _plugin.TemplateLayer({
			isBaseLayer:true,
			tileSize:512,
			numZoomLevels:16,
			startLevel:0,
			template:"http://server.arcgisonline.com/ArcGIS/rest/services/ESRI_StreetMap_World_2D/MapServer/tile/{Z}/{Y}/{X}.jpg"
		});
}

/**
* ESRI_Imagery_World_2D
*/
function ESRI_Imagery_World_2D()
{
	return _plugin.TemplateLayer({
			isBaseLayer:true,
			tileSize:512,
			numZoomLevels:16,
			startLevel:0,
			template:"http://server.arcgisonline.com/ArcGIS/rest/services/ESRI_Imagery_World_2D/MapServer/tile/{Z}/{Y}/{X}.png"
		});
}

/**
* I3_Imagery_Prime_World_2D
*/
function I3_Imagery_Prime_World_2D()
{
	return _plugin.TemplateLayer({
			isBaseLayer:true,
			tileSize:512,
			numZoomLevels:19,
			startLevel:0,
			template:"http://server.arcgisonline.com/ArcGIS/rest/services/I3_Imagery_Prime_World_2D/MapServer/tile/{Z}/{Y}/{X}.png"
		});
}

/**
* NGS_Topo_US_2D
*/
function NGS_Topo_US_2D()
{
	return _plugin.TemplateLayer({
			isBaseLayer:true,
			tileSize:512,
			numZoomLevels:14,
			startLevel:0,
			template:"http://server.arcgisonline.com/ArcGIS/rest/services/NGS_Topo_US_2D/MapServer/tile/{Z}/{Y}/{X}"
		});
}

/**
* NPS_Physical_World_2D
*/
function NPS_Physical_World_2D()
{
	return _plugin.TemplateLayer({
			isBaseLayer:true,
			tileSize:512,
			numZoomLevels:8,
			startLevel:0,
			template:"http://server.arcgisonline.com/ArcGIS/rest/services/NPS_Physical_World_2D/MapServer/tile/{Z}/{Y}/{X}"
		});
}
